Subject: Maximum MPLS labels on Linux network stack

From: Алексей Болдырев<[email-masked]>
Date: Wed, 03 May 2017 20:33:07 +0300

I watched one forum, there is listed in the properties of one license for Cisco, it says:

Layer 3 VPN • Multi-VRF CE (VRF-lite); requires IP Services Feature license
• MPLS VPN; requires Advanced IP Feature license
• 26 VRFs
• 8192 MPLS labels 

Especially interested in the figure 8192 MPLS Labels.

As I understand it, is it either a limit on the number of labels on the stack or the total number of labels?

In Linux, for example, you can specify a common col- lection of labels through /proc/sys/net/mpls/platforms_labels

Also I would like to know if the openvswitch has a limit of 3 tags in the stack or the total number of MPLS labels that can send?